Package org.gitana.platform.client

# Class Driver

java.lang.Object
org.gitana.platform.client.Driver

public class Driver extends Object

Author:
  uzi

## Constructor Summary

Constructors
Constructor
Description
`Driver(Remote remote)`

## Method Summary

Modifier and Type
Method
Description
`void`
`expire()`
Expires the access token for the currently authenticated driver.
`void`
`expire(boolean expireRefreshToken)`
`AuthInfo`
`getAuthInfo()`
`String`
`getBaseURL()`
`ObjectFactory`
`getFactory()`
`boolean`
`getPaths()`
`Platform`
`getPlatform()`
`Remote`
`getRemote()`
`void`
`setAuthInfo(AuthInfo authInfo)`
`void`
`setLocale(Locale locale)`
`void`
`setPaths(boolean includePaths)`
`void`
`setPlatform(Platform platform)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Driver

public Driver(Remote remote)

## Method Details

### setAuthInfo

public void setAuthInfo(AuthInfo authInfo)

### getAuthInfo

public AuthInfo getAuthInfo()

### getPlatform

public Platform getPlatform()

### setPlatform

public void setPlatform(Platform platform)

### setLocale

public void setLocale(Locale locale)

### getRemote

public Remote getRemote()

### getFactory

public ObjectFactory getFactory()

### getBaseURL

public String getBaseURL()

### getPaths

public boolean getPaths()

### setPaths

public void setPaths(boolean includePaths)

### expire

public void expire()
Expires the access token for the currently authenticated driver.

### expire

public void expire(boolean expireRefreshToken)